Bug 800601 - dietlibc is FTBFS on ARM
dietlibc is FTBFS on ARM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dietlibc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-03-06 13:57 EST by Peter Robinson
Modified: 2012-04-11 22:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: dietlibc-0.33-0.1701.20120330.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:56:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Add armv7hl to the Makefile (2.09 KB, patch)
2012-03-23 18:33 EDT, Niels de Vos
no flags Details | Diff

  None (edit)
Description Peter Robinson 2012-03-06 13:57:23 EST
dietlibc doesn't build on ARM. ARM seems like the ultimate platform for dietlibc so it would be good to get it fixed.

http://arm.koji.fedoraproject.org/packageinfo?packageID=1340
Comment 1 Enrico Scholz 2012-03-06 16:55:54 EST
makefile does

| MYARCH:=$(shell uname -m | sed -e 's/i[4-9]86/i386/' -e 's/armv[3-6]t\?e\?[lb]/arm/')

and compares output with 'arm'.  What does 'uname -m' return on Fedora ARM platforms?
Comment 2 Peter Robinson 2012-03-07 04:46:34 EST
armv7l and armv5tel on my platforms, there could be other variants.

Possibly use armv[567]* or similar.
Comment 3 Niels de Vos 2012-03-23 18:33:09 EDT
Created attachment 572385 [details]
Add armv7hl to the Makefile

I've checked the sed expression and it seems that the armv7hl architecture would not match.

This patch for the pkg-git-repo adds a new patch for the Makefile that corrects this and updates the .spec (and also adds a .0.arm to the release).

A test-build has successfully finished (compile test only):
- http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=635062

Please apply the patch and file a bug upstream.

Thanks,
Niels
Comment 4 Fedora Update System 2012-03-31 10:33:15 EDT
dietlibc-0.33-0.1701.20120330.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dietlibc-0.33-0.1701.20120330.fc17
Comment 5 Fedora Update System 2012-03-31 14:48:07 EDT
Package dietlibc-0.33-0.1701.20120330.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dietlibc-0.33-0.1701.20120330.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5123/dietlibc-0.33-0.1701.20120330.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-04-11 22:56:24 EDT
dietlibc-0.33-0.1701.20120330.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.